Description

"Simplify geometries" fails with an unhelpful error message when no filename is specified for the output parameter. The dialog box has a

default value of [Create temporary layer] in the output parameter, as shown in simple_geo1.jpg. I read this to mean that qgis will create a

temporary layer if I don't enter a filename. Upon clicking Run the error message in simple_geo_error_msg.jpg is shown. Checking the log

as suggested shows a python dump as shown in simple_geo_py_dump.jpg. If a filename is typed in the tool works great.

If the tool is supposed to create a temporary layer as I'm assuming, something is clearly broken. If the tool requires an output file, there

should be a better error message. I also tested "densify geometries" and it had the same issue.

Tested on Windows 7 with 2.18.2 (64 bit)

Associated revisions

Revision 9f9e7114 - 2017-04-28 03:05 PM - Alexander Bruy

[processing] handle 2.5 geometries in the Simplify geometry algorithm

(fix #16114)

History

#1 - 2017-01-25 02:41 PM - Mike Bannister

I haven't contributed to QGIS before but am familiar with python and would be interested in helping.

#2 - 2017-01-26 06:16 AM - Mike Bannister

- File simple_geo_error_msg.JPG added

- File simple_geo1.JPG added

- File simple_geo_py_dump.JPG added

Files didn't attach before.

#3 - 2017-04-27 04:27 AM - Alexander Bruy

- Status changed from Open to Feedback

- OS version deleted (2.18)

- Operating System deleted (Windows7)

- Category set to Processing/QGIS
Please provide sample dataset.

#4 - 2017-04-27 07:09 AM - Mike Bannister

- File qgis_test_data.zip added

Two sample datasets are attached: test_works and test_doesnt_work.

When running "simplify geometries" and not using an output filename on test_works (i.e., leaving the default of [Create temporary layer]) everything works

and a temporary layer is created. This dataset was digitized in qgis.

Performing the same process on test_doesnt_work throws an error message. If a filename is typed into the output filename field in the dialog box instead

of using the default everything works. This layer was initially converted from GPX to shp using qgis, and then processed using fiona (python shapefile

package).

I initially discovered this issue simplifying contours that had been clipped in arcgis (original source unknown). I tested the above process using various

datasets that had been created in arc. Some worked, some didn't. I'm not sure why.

#5 - 2017-04-28 05:56 AM - Alexander Bruy

- Status changed from Feedback to Closed

Fixed in changeset commit:"9f9e7114aa3881800fcec90eed654a99e7467a32".

#6 - 2017-04-28 05:56 AM - Alexander Bruy

- Resolution set to fixed/implemented

Error happens because you data has unsupported geometry type, with Z coordinate.

Files

simple_geo_error_msg.JPG 44 KB 2017-01-26 Mike Bannister

simple_geo1.JPG 50.6 KB 2017-01-26 Mike Bannister

simple_geo_py_dump.JPG 42.6 KB 2017-01-26 Mike Bannister

qgis_test_data.zip 155 KB 2017-04-27 Mike Bannister
